[android-components](../../../index.md) / [mozilla.components.concept.engine.manifest](../../index.md) / [WebAppManifest](../index.md) / [Orientation](./index.md)

# Orientation

`enum class Orientation` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/manifest/WebAppManifest.kt#L135)

Defines the default orientation for all the website's top level browsing contexts.

### Enum Values

| Name | Summary |
|---|---|
| [ANY](-a-n-y.md) |  |
| [NATURAL](-n-a-t-u-r-a-l.md) |  |
| [LANDSCAPE](-l-a-n-d-s-c-a-p-e.md) |  |
| [LANDSCAPE_PRIMARY](-l-a-n-d-s-c-a-p-e_-p-r-i-m-a-r-y.md) |  |
| [LANDSCAPE_SECONDARY](-l-a-n-d-s-c-a-p-e_-s-e-c-o-n-d-a-r-y.md) |  |
| [PORTRAIT](-p-o-r-t-r-a-i-t.md) |  |
| [PORTRAIT_PRIMARY](-p-o-r-t-r-a-i-t_-p-r-i-m-a-r-y.md) |  |
| [PORTRAIT_SECONDARY](-p-o-r-t-r-a-i-t_-s-e-c-o-n-d-a-r-y.md) |  |
